Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004847TestLinkContribution Maintained BY USERpublic2011-12-27 19:482012-09-01 19:59
Reportermfuentes 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004847: XMLRPC 'getTestCasesForTestPlan' method does not include the test case's full external id
DescriptionTest cases obtained by the 'getTestCasesForTestPlan' method are not including the full external id, a fix was committed in my repository:

https://gitorious.org/~mario-fuentes/testlink-ga/mario-testlink-code/commit/69fc16edd5984e5f69c63348d15244c3838aec53 [^]
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)Independent
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0016179)
fman (administrator)
2011-12-28 08:05
edited on: 2011-12-28 08:19

This is not an error but a design choice.
IMPORTANT NOTICE:
Changes made to a central method like get_linked_tcversions(), that is not only related to API, need to be fully analized because other ON LINE / GUI features can be affected.

(0016180)
fman (administrator)
2011-12-28 08:20

Please always indicate testlink version you are working on
(0016181)
mfuentes (reporter)
2011-12-28 13:28

I'm not using a specified version, my repository have a fork made on December 14.
(0016182)
mfuentes (reporter)
2011-12-28 13:32

I know that the 'get_linked_tcversions()' method is central, but my code only add new field, IMHO it should not produce trouble.
(0016183)
mfuentes (reporter)
2011-12-28 20:09

<quote autor="fman">This is not an error but a design choice.</quote>

Why you say that? I never said that the behaviour is an error, this is an issue tracker where I'm describing a situation that I changed.
(0016185)
fman (administrator)
2011-12-29 17:48
edited on: 2011-12-30 11:29

1.9.x
https://gitorious.org/testlink-ga/testlink-code/commit/3c95394aac4ad5d08d0d693c9709f45246694c04 [^]
http://gitorious.org/testlink-ga/testlink-code/commit/21536b59e537acd243b9a142d3749fcd38605f87 [^]

commit include also refactoring to get_linked_tcversions()
just these lines are needed to fix this request

more or less near line 1220
if( is_null($sql) )
{

// Get test case prefix
$io = $this->tree_manager->get_node_hierarchy_info($id);
list($prefix,$garbage) = $this->tcase_mgr->getPrefix(null,$io['parent_id']);
$tcase_cfg = config_get('testcase_cfg');
$prefix .= $tcase_cfg->glue_character;
$concat = $this->db->db->concat("'{$prefix}'",'TCV.tc_external_id');

....

and
" $concat AS full_external_id, " .

(0017358)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-12-27 19:48 mfuentes New Issue
2011-12-28 08:05 fman Note Added: 0016179
2011-12-28 08:19 fman Note Edited: 0016179 View Revisions
2011-12-28 08:19 fman Category TL API => Contribution Maintained BY USER
2011-12-28 08:20 fman Note Added: 0016180
2011-12-28 13:28 mfuentes Note Added: 0016181
2011-12-28 13:32 mfuentes Note Added: 0016182
2011-12-28 20:09 mfuentes Note Added: 0016183
2011-12-29 17:48 fman Note Added: 0016185
2011-12-29 17:49 fman Tag Attached: TO BE FIXED on 2.0
2011-12-29 17:49 fman Status new => resolved
2011-12-29 17:49 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-12-29 17:49 fman Resolution open => fixed
2011-12-29 17:49 fman Assigned To => fman
2011-12-30 11:29 fman Note Edited: 0016185 View Revisions
2011-12-30 11:29 fman Note Edited: 0016185 View Revisions
2012-09-01 19:59 fman Note Added: 0017358
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker